require 'json'
require 'thermostat.rb'

class JSONThermostat
  attr_accessor :settings, :thermostat
  def initialize(settings_json)
    @settings = JSON.parse(settings_json)
    @thermostat = Thermostat.new
    @thermostat.unit_set(@settings['unit'])
    @thermostat.wanted_temp_set(@settings['temperature'])
    @thermostat.range_set(@settings['range'])
  end

  def update(temperature_json)
    @thermostat.unit_set(JSON.parse(temperature_json)['unit'])
    @thermostat.update_temp(JSON.parse(temperature_json)['temperature'])
    @thermostat.output
  end
end
